Subject: Sole source contracts and the BCP

From: Harald Tveit Alvestrand <[email-masked]>
Date: Thu, 27 Jan 2005 13:23:28 +0100

John,
forgive me for pulling a reset here - but I've become sufficiently lost in 
the various threads on the "progress report" heading that I'm no longer 
certain which questions you've raised, which have been answered, which have 
been overtaken by events, and which are no longer relevant. So let me start 
over.

To my mind, there are 2 basic questions to raise:

- Does the BCP as written give the IAD the power to receive an unsolicited 
offer for a service that might otherwise have been put out for bid, 
consider it, consult on it, decide that it is the best thing for the IETF, 
propose to ISOC and the IAOC that this is a good thing for the IETF and is 
financially responsible, and, after getting approval from them, sign the 
deal?

I believe the answer is "yes" - the business of the IASA is the IAD's to 
administer. If we (as represented by the IAOC) don't like it, we chastise 
him/her or fire him/her. And I believe that has been true at least since 
version -00 (I did not check the "scenario O" text).

As a subsidiary question: Should the BCP give the IAD that power?

Here too, I believe the answer is "yes" - you've written some great pieces 
on why the IAD needs considerable autonomy on how to do business in the 
past.

And the other basic question:

- Is the deal that Neustar has said that they are considering offering the 
best thing for the IETF?

I believe the answer here is "we don't know, but it might be" - and you may 
consider the message from Leslie and the subsequent discussion to be a part 
of the transition team attempting to get a head start on the consultation 
that the IAD will have to do in order to decide that issue.

I'm sure that there are all sorts of ramifications and implications of both 
those two questions - but do you agree that these are the 2 core questions 
on the thread, and that they are different?

                        Harald

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Thu, 27 Jan 2005 23:31:36 -0500

bb

--On Thursday, January 27, 2005 1:23 PM +0100 Harald Tveit
Alvestrand <[email-masked]> wrote:

> John,
> forgive me for pulling a reset here - but I've become
> sufficiently lost in the various threads on the "progress
> report" heading that I'm no longer certain which questions
> you've raised, which have been answered, which have been
> overtaken by events, and which are no longer relevant. So let
> me start over.
>
> - Does the BCP as written give the IAD the power to receive an
> unsolicited offer for a service that might otherwise have been
> put out for bid, consider it, consult on it, decide that it is
> the best thing for the IETF, propose to ISOC and the IAOC that
> this is a good thing for the IETF and is financially
> responsible, and, after getting approval from them, sign the
> deal?
>
> I believe the answer is "yes" - the business of the IASA is
> the IAD's to administer. If we (as represented by the IAOC)
> don't like it, we chastise him/her or fire him/her. And I
> believe that has been true at least since version -00 (I did
> not check the "scenario O" text).
>
> Here too, I believe the answer is "yes" - you've written some
> great pieces on why the IAD needs considerable autonomy on how
> to do business in the past.

Indeed.  And I believe it is "yes" as well.  But there was a
relatively long thread in which various people argued that "the
RFP process" was the system's method of guaranteeing efficiency
and minimal cost.  If we are going to permit things to be done
without RFPs and competitive bidding, then that source of
guarantees, whether realistic or not, disappears.   So we had
better understand what we are getting ourselves into here and I
think that creates a third core question, see below.

> - Is the deal that Neustar has said that they are considering
> offering the best thing for the IETF?
>
> I believe the answer here is "we don't know, but it might be"
> - and you may consider the message from Leslie and the
> subsequent discussion to be a part of the transition team
> attempting to get a head start on the consultation that the
> IAD will have to do in order to decide that issue.
>
> I'm sure that there are all sorts of ramifications and
> implications of both those two questions - but do you agree
> that these are the 2 core questions on the thread, and that
> they are different?

Two of the three core questions.  And, assuming "the best thing
for the IETF" is considered broadly and as a whole system, yes. 

The other core question, IMO, is whether the notion of sole
source procurements based on unsolicited proposals requires some
tuning of the BCP.   I don't know if it does or not...

Pro change: To the extent to which people are assuming the "RFP
Process" is an important source of both transparency and
efficiency, then we should have some special provisions about
sole source activities.  Otherwise, we could easily see a
scenario in which a proposal comes to the IAD, the IAD
recommends its approval to the IAOC, a contract is written and
signed, and the first time the community hears about any of it
is after the contract is signed, which is too late to stop or
undo anything.   I note that, in organizations that are normally
required to do things by competitive bids, sole-source contracts
are normally prohibited or very specific procedures are
established for handling them.  The change to the BCP could be
as minimal as a requirement that the IAOC establish clear rules
and principles for the handling for sole-source contracts before
awarding any, expose those rules to the community for comment,
etc.   Or we could reverse our general assumption that only
general principles appear in the BCP and could actually specify
some requirements on the procedure (although it isn't clear to
me why we would want to do that).

Con change: The IAOC will almost certainly take it on itself to
establish appropriate procedures and get general review of them.
If they aren't sensitive enough to the community to do that,
they should be fired (for some definition of "fired"). And the
worst thing that can happen if they don't establish appropriate
rules before contracts are let is that the community can end up
irreversibly committed to a multi-year contract under
unfavorable circumstances before the problem is noticed and
remedies applied and maybe that isn't too bad.   So no textual
change is needed.

I suspect my biases are clear but YMMD.

     john